OpenTTD: Data Fields

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - p -

- p : StringListReader , ICUParagraphLayout
- p1 : CommandContainer
- p2 : CommandContainer
- Pack() : Order , VehicleListIdentifier
- Packet() : Packet
- packet_queue : NetworkTCPSocketHandler
- packet_recv : NetworkTCPSocketHandler
- PacketReader() : PacketReader
- Packets() : CargoList< Tinst, Tcont >
- packets : CargoList< Tinst, Tcont > , PacketWriter
- PacketWriter() : PacketWriter
- pad : LanguagePackHeader
- padding : NWidgetPart
- padding_bottom : NWidgetBase
- padding_left : NWidgetBase
- padding_right : NWidgetBase
- padding_top : NWidgetBase
- page : StoryPageElement
- PageElementOrderSorter() : StoryBookWindow
- PageOrderSorter() : StoryBookWindow
- pal : BridgeSpec , PalSpriteID , ParentSpriteToDraw
- palette : GRFConfig , CocoaSubdriver , GraphicsSet , Blitter_32bppAnim , Palette , TileLayoutRegisters
- PALETTE_ANIMATION_BLITTER : Blitter
- PALETTE_ANIMATION_NONE : Blitter
- PALETTE_ANIMATION_VIDEO_BACKEND : Blitter
- palette_size : BmpInfo
- palette_var10 : TileLayoutRegisters
- PaletteAnimate() : Blitter_32bppAnim , Blitter_32bppBase , Blitter_8bppBase , Blitter , Blitter_Null
- PaletteAnimation : Blitter
- panel_widths : NWidgetScenarioToolbarContainer
- param : GRFConfig , ThreadObject_OS2 , ThreadObject_pthread , ThreadObject_Win32
- param_end : GRFFile
- param_info : GRFConfig
- param_nr : GRFParameterInfo
- param_value : GRFError
- paramcount : TooltipsWindow
- parameter : DeterministicSpriteGroupAdjust
- params : TooltipsWindow , QueryWindow , NewsItem , FoundTownWindow
- params_1 : TextEffect
- params_2 : TextEffect
- parent : Path , TileLayoutRegisters , PathNode , CargoDataEntry , StringParameters , Window
- Parent : VehicleCargoList , StationCargoList
- parent : FontCache , Group
- parent_button : DropdownWindow
- parent_cls : WindowDesc
- parent_scope : VehicleResolverObject
- parent_sprites_to_sort : ViewportDrawer
- parent_wnd_class : DropdownWindow
- parent_wnd_num : DropdownWindow
- ParseFile() : FileStringReader , StringReader
- part_of_subsidy : Industry , TownCache
- PART_TEXTS : SelectCompanyManagerFaceWindow
- PART_TEXTS_IS_FEMALE : SelectCompanyManagerFaceWindow
- passenger_capacity : AircraftVehicleInfo
- PassOnFlow() : FlowStatMap
- password : NetworkCompanyState
- password_editbox : NetworkCompanyPasswordWindow
- Path() : Path
- path_backoff_interval : PathfinderSettings
- PathCapacityBoundaries : Path
- pathfinder_for_roadvehs : PathfinderSettings
- pathfinder_for_ships : PathfinderSettings
- pathfinder_for_trains : PathfinderSettings
- Paths() : LinkGraphJob::Node
- paths : LinkGraphJob::NodeAnnotation
- Pause() : AI , Game , ScriptInstance
- pause_on_join : NetworkSettings
- pause_on_newgame : GUISettings
- PayFinalDelivery() : CargoPayment
- payment : CargoDelivery
- PayTransfer() : CargoPayment
- PBSTileInfo() : PBSTileInfo
- Peek() : CommandQueue
- performance : NetworkCompanyInfo
- performance_history : CompanyEconomyEntry
- PerformanceSorter() : CompanyLeagueWindow
- persistent_buildingtools : GUISettings
- PersistentStorage() : PersistentStorage
- PersistentStorageArray() : PersistentStorageArray< TYPE, SIZE >
- pf : GameSettings
- pf_maxdepth : OPFSettings
- pf_maxlength : OPFSettings
- PfBase : CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >
- PfCalcCost() : CYapfCostRailT< Types > , CYapfCostRoadT< Types > , CYapfCostShipT< Types >
- PfCalcEstimate() : CYapfDestinationTileT< Types > , CYapfDestinationAnyDepotRailT< Types > , CYapfDestinationAnySafeTileRailT< Types > , CYapfDestinationTileOrStationRailT< Types > , CYapfDestinationAnyDepotRoadT< Types > , CYapfDestinationTileRoadT< Types >
- PfDetectDestination() : CYapfDestinationAnyDepotRailT< Types > , CYapfDestinationAnySafeTileRailT< Types > , CYapfDestinationTileOrStationRailT< Types > , CYapfDestinationAnyDepotRoadT< Types > , CYapfDestinationTileRoadT< Types > , CYapfDestinationTileT< Types >
- PfFollowNode() : CYapfFollowAnyDepotRailT< Types > , CYapfFollowAnySafeTileRailT< Types > , CYapfFollowRailT< Types > , CYapfFollowRoadT< Types > , CYapfFollowShipT< Types >
- PfGetSettings() : CYapfBaseT< Types >
- PfNodeCacheFetch() : CYapfSegmentCostCacheNoneT< Types > , CYapfSegmentCostCacheLocalT< Types > , CYapfSegmentCostCacheGlobalT< Types >
- PfNodeCacheFlush() : CYapfSegmentCostCacheNoneT< Types > , CYapfSegmentCostCacheLocalT< Types > , CYapfSegmentCostCacheGlobalT< Types >
- PfSetStartupNodes() : CYapfOriginTileT< Types > , CYapfOriginTileTwoWayT< Types >
- picker_title : RoadTypeInfo
- picker_tooltip : RoadTypeInfo
- pip : NWidgetPart
- pip_inter : NWidgetPIPContainer
- pip_post : NWidgetPIPContainer
- pip_pre : NWidgetPIPContainer
- pitch : Blitter::BlitterParams
- pixel_buffer : CocoaSubdriver
- pixels : Textbuf
- PixelToTile() : SmallMapWindow
- place_mode : TileHighlightData
- PlaceIndustry() : IndustryCargoesWindow
- plane_crashes : VehicleSettings
- plane_speed : VehicleSettings
- PlaneSelections : VehicleViewWindow
- planned : LinkProperties
- playing : MusicSettings
- PlayLeaveStationSound() : Ship , Train , Vehicle
- playlist : MusicSettings
- PlaySong() : MusicDriver_ExtMidi , MusicDriver_Allegro , MusicDriver_BeMidi , MusicDriver_Cocoa , MusicDriver_DMusic , MusicDriver_LibTimidity , MusicDriver , MusicDriver_Null , MusicDriver_OS2 , MusicDriver_QtMidi , MusicDriver_Win32
- plural_count : PluralForm
- plural_form : LanguagePackHeader , LanguageMap
- PoolBase() : PoolBase
- Pop() : BinaryHeap , SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size > , CHashTableT< Titem_, Thash_bits_ > , CommandQueue
- PopBestOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- PopCargo() : VehicleCargoList
- PopOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- PopPacket() : PacketWriter
- population : HouseSpec , TownCache
- population_in_label : GUISettings
- pos : TileHighlightData , Aircraft , Fio , CursorVars , Packet , Scrollbar
- pos_x : NWidgetBase
- pos_y : NWidgetBase
- position : AirportFTA , ErrorMessageData , AirportFTAbuildup , DropdownWindow
- position_consist_length : NewGRFCache
- position_in_vehicle : NewGRFCache
- position_same_id_length : NewGRFCache
- positions : FallbackParagraphLayout::FallbackVisualRun
- post : NWidgetPartPIP
- PostDestructor() : BaseStation , Company , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool > , Town , Industry
- Postprocess() : CargoRemoval< Tsource >
- PostResize() : Blitter_32bppAnim , Blitter
- pow_wag_power : RailVehicleInfo
- pow_wag_weight : RailVehicleInfo
- power : RailVehicleInfo , RoadVehicleInfo
- PowerChanged() : GroundVehicle< T, Type >
- powered_railtypes : RailtypeInfo
- PreDestructor() : Vehicle
- PredictNextOrder() : LinkRefresher
- pref_height : WindowDesc
- pref_sticky : WindowDesc
- pref_width : WindowDesc
- prefer_teamchat : GUISettings
- Prepare() : ByteBlob
- PrepareLayout() : NewGRFSpriteLayout
- PrepareRefitAction() : PrepareRefitAction
- PrepareToRead() : Packet
- PrepareToSend() : Packet
- Preprocess() : CargoMovement< Tsource, Tdest > , CargoRemoval< Tsource >
- preset : NewGRFWindow
- presetname_editbox : SavePresetWindow
- presets : SavePresetWindow
- president_name : CompanyProperties , CompanyNewsInformation
- president_name_1 : CompanyProperties
- president_name_2 : CompanyProperties
- Prev() : StringIterator
- prev : HeaderFileWriter , NWidgetBase
- Prev() : IcuStringIterator
- prev : NewsItem
- prev_colour : FontState
- prev_storage : PersistentStorageArray< TYPE, SIZE >
- preview_asked : Engine
- preview_company : Engine
- preview_sprite : AirportSpec , BuildAirportWindow
- preview_wait : Engine
- Previous() : Vehicle , SpecializedVehicle< T, Type >
- previous : Vehicle , IConsoleLine
- previous_pos : Aircraft
- previous_shared : Vehicle
- PreviousShared() : Vehicle
- PrevNextSign() : SignWindow
- price : BridgeSpec
- price_base_multipliers : GRFFile
- Print() : Textbuf
- print_func : Squirrel
- PrintFunc() : Squirrel
- priority : DriverFactoryBase
- PrivateLocalToCG() : CocoaSubdriver
- prob : NamePart
- probability : HouseSpec , IndustryTypeBuildData
- proc : CheatEntry , NetworkClientListPopupWindow::ClientListAction , SettingDescBase , TownNameGeneratorParams , ThreadObject_Win32 , IConsoleCmd , ScreenshotFormat , Command , ThreadObject_pthread , OldChunks , QueryWindow , GenWorldInfo , ThreadObject_OS2
- proc_cnvt : SettingDescBase
- ProcessHighlightedInvalidations() : Window
- processing_time : HouseSpec
- ProcessRegisters() : TileLayoutSpriteGroup , NewGRFSpriteLayout
- ProcessScheduledInvalidations() : Window
- prod_level : Industry
- produced_cargo : Industry
- produced_cargo_waiting : Industry
- production_down_text : IndustrySpec
- production_nobody : NewsSettings
- production_offset_y : IndustryViewWindow
- production_other : NewsSettings
- production_player : NewsSettings
- production_rate : Industry
- production_up_text : IndustrySpec
- profit_last_year : GroupStatistics , Vehicle
- profit_this_year : Vehicle
- progress : Goal , Vehicle
- prop : NIProperty
- prop27_set : GRFTempEngineData
- properties : NIFeature
- Props : TinyEnumT< Tenum_t >
- prospecting_chance : IndustrySpec
- Proxy() : ThreadObject_MorphOS
- PruneIntermediateNodeBranch() : CYapfBaseT< Types >
- psa : Airport , Industry
- PSAWithParameter() : NIHelper
- PtInExtendedRect() : StationRect
- ptr : OldChunks , AutoFreePtr< T >
- ptrs_proc : ChunkHandler
- Push() : BinaryHeap , CHashTableT< Titem_, Thash_bits_ > , SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >
- PushExtraConfigList() : ScriptConfig , AIConfig
- PushFlow() : MultiCommodityFlow
- pylons : StationSpec